package net.woodyfolsom.msproj.policy;

import static org.junit.Assert.assertEquals;

import net.woodyfolsom.msproj.GameBoard;
import net.woodyfolsom.msproj.GameConfig;
import net.woodyfolsom.msproj.GameState;
import net.woodyfolsom.msproj.policy.Policy;

import org.junit.Test;


public class MinimaxTest {
	
	@Test
	public void testGenmove() {
		Policy moveGenerator = new Minimax();
		GameState gameState = new GameState(5);
		gameState.playStone('A', 2, GameBoard.BLACK_STONE);
		gameState.playStone('B', 1, GameBoard.BLACK_STONE);
		gameState.playStone('C', 2, GameBoard.BLACK_STONE);
		gameState.playStone('B', 4, GameBoard.BLACK_STONE);
		
		String move = moveGenerator.getAction(new GameConfig(), gameState, "w");
		System.out.println("Generated move: " + move);
		gameState.playStone("w", move);
		
		System.out.println(gameState);
		
		assertEquals(Policy.PASS,moveGenerator.getAction(new GameConfig(), gameState, "?"));
		
		System.out.println(gameState);
	}
}
